Seite 30 von 35 ErsteErste ... 202829303132 ... LetzteLetzte
Ergebnis 291 bis 300 von 349

Thema: OTRVerwaltung3Plus - eine Portierung von OTRVerwaltung++ hinzu Python3 und Gtk3+

  1. #291
    Member
    Registriert seit
    Jul 2009
    Beiträge
    11

    Sonderzeichen

    Zitat Zitat von gilbert Beitrag anzeigen
    Jedoch stellt sich mir an dieser Stelle die Frage nach dem Sinn und Zweck der Umbenennung in diese Richtung:
    Mir stellt sich da keine Frage: Ä Ö Ü - das sind Sonderzeichen, mit denen hat man eigentlich grundsätzlich Ärger.
    Ich stelle mir da einen externen Datenträgern vor, auf denen Dateien mit diesen Sonderzeichen liegen. Wenn die dann an andere Betriebssysteme (PC oder ggf. sogar TV-Geräte) gehängt werden - das kann wirklich drollig werden.
    Von daher macht es ganz viel Sinn, die zu entfernen - und dann so komfortabel, ist doch super!

    Viele Grüße
    Nemo

  2. #292
    Member
    Registriert seit
    Dec 2009
    Ort
    Germany
    Beiträge
    154
    @Anubis357:
    Stelle bitte sicher, dass Du unter Menü: Bearbeiten -> Einstellungen -> Schneiden -> Kodierer: ffmpeg eingestellt hast. Und ich gehe davon aus, dass Du die avi.Datei nicht vor dem Schneiden in ein mkv umgewandelt hast.

    Mehr fällt mir im Moment nicht ein.

    @All: Hat sonst noch jemand das Problem?
    Installation und Updates otr-verwaltung3p: Schneiden von OTR-Dateien, inkl. Dekodieren und Verwalten
    Mein github Name ist gCurse. Ich bin der Maintainer der otr-verwaltung3p.

  3. #293
    Member
    Registriert seit
    Sep 2009
    Beiträge
    26
    Zitat Zitat von gilbert Beitrag anzeigen
    Hier noch das Szenario auf ZorinOS (Ubunt18.04 Basis)

    Code:
    sudo dpkg -i otr-verwaltung3p-dev-1.0.0b8-2.deb 
    [sudo] Passwort für gilbert:      
    (Lese Datenbank ... 411455 Dateien und Verzeichnisse sind derzeit installiert.)
    Vorbereitung zum Entpacken von otr-verwaltung3p-dev-1.0.0b8-2.deb ...
    Entpacken von otr-verwaltung3p-dev (1.0.0b8) über (1.0.0b8) ...
    otr-verwaltung3p-dev (1.0.0b8) wird eingerichtet ...
      File "<fstring>", line 1
        (response = )
                  ^
    SyntaxError: invalid syntax
    
    dpkg: Fehler beim Bearbeiten des Paketes otr-verwaltung3p-dev (--install):
     Unterprozess installiertes otr-verwaltung3p-dev-Skript des Paketes post-installation gab den Fehler-Ausgangsstatus 1 zurück
    Trigger für desktop-file-utils (0.23-1ubuntu3.18.04.2+zorin1) werden verarbeitet ...
    Trigger für gnome-menus (3.13.3-11ubuntu1.1) werden verarbeitet ...
    Trigger für mime-support (3.60ubuntu1) werden verarbeitet ...
    Fehler traten auf beim Bearbeiten von:
     otr-verwaltung3p-dev
    @loretotr

    Hast Du einen Tipp woran es liegen könnte?

  4. #294
    Member
    Registriert seit
    May 2007
    Beiträge
    306
    Ich habe mir die letzte development als ZIP auf den Raspberry Pi heruntergeladen (keine DEBIAN-Installation geplant) und bekomme die gleiche Fehlermeldung, wenn ich das Programm starte:
    Code:
    Traceback (most recent call last):
      File "./otrverwaltung3p", line 111, in <module>
        from otrverwaltung3p.actions import actions
      File "/home/pi/otr-verwaltung3p-development/otrverwaltung3p/actions/actions.py", line 18, in <module>
        from otrverwaltung3p.actions import decodeorcut
      File "/home/pi/otr-verwaltung3p-development/otrverwaltung3p/actions/decodeorcut.py", line 31, in <module>
        from otrverwaltung3p import cutlists as cutlists_management
      File "<fstring>", line 1
        (response = )
                  ^
    SyntaxError: invalid syntax
    Edit: Irgendwas in der Datei cutlists.py ist defekt. Wenn ich sie in IdleX lade und "check module" ausführe, kriege ich einen Syntax Error (gleich in der ersten Zeile, aber das ist Quatsch. Wenn ich die lösche, kommt der Fehler in der nächsten Zeile).
    Geändert von Guenni (21.07.2020 um 11:43 Uhr)

  5. #295
    Member
    Registriert seit
    Dec 2009
    Ort
    Germany
    Beiträge
    154
    @guenni: In otrverwaltung3p/cutlists.py Zeile 123: self.log.debug(f"{response = }") bitte auskommentieren. Ist es das? Welche python-version läuft bei DIr?

    @gilbert: Auch hier gefragt: Welche python-version läuft bei DIr?
    Geändert von loretotr (21.07.2020 um 14:59 Uhr)
    Installation und Updates otr-verwaltung3p: Schneiden von OTR-Dateien, inkl. Dekodieren und Verwalten
    Mein github Name ist gCurse. Ich bin der Maintainer der otr-verwaltung3p.

  6. #296
    Member
    Registriert seit
    Sep 2009
    Beiträge
    26
    Zitat Zitat von loretotr Beitrag anzeigen

    @gilbert: Auch hier gefragt: Welche python-version läuft bei DIr?
    hier ist es diese:
    Code:
    $ python -V
    Python 2.7.17

  7. #297
    Member
    Registriert seit
    Dec 2009
    Ort
    Germany
    Beiträge
    154
    @gilbert: Sorry. Bitte die Ausgabe von: python3 --version

    Edit: Ich sehe gerade das es ein Ubuntu 18.04 Derivat ist. Also Python3.6.x

    Scheint als ob die Syntax f"{variable = }" in dieser Python-Version noch nicht implementiert ist. Es liegt also an allen Vorkommen von: self.log.debug(f"{<irgendeine Variable> = }"). Wobei statt debug auch info, warning oder error vorkommen können.

    @gilbert: Benutze bitte eine VM mit einem aktuellen Linux. Bei (L)Ubuntu wäre das 20.04 LTS. Besser noch ein Archlinux-Derivat.

    Edit @guenni: Es betrifft tatsächlich nur cutlists.py:
    Code:
    $: ag 'self\.log\..*\(f"{.* = }.*'
    otrverwaltung3p/cutlists.py
    123:            self.log.debug(f"{response = }")
    124:            self.log.debug(f"{response.text = }")
    140:        self.log.debug(f"{video_filename = }")
    Wenn Du diese Zeilen auskommentierst sollte es funktionieren.
    Geändert von loretotr (21.07.2020 um 17:39 Uhr)
    Installation und Updates otr-verwaltung3p: Schneiden von OTR-Dateien, inkl. Dekodieren und Verwalten
    Mein github Name ist gCurse. Ich bin der Maintainer der otr-verwaltung3p.

  8. #298
    Member
    Registriert seit
    Sep 2009
    Beiträge
    26
    Code:
    $ python3 --version
    Python 3.6.9
    Du hattest recht!
    Grund dass ich dieses Derivat verwende ist das bescheidene Parallells. Dieses schafft leider nur mit ZorinOS 15.2 den Coherence Mode, frag mich nicht warum bei den anderen nicht. In diesem Modus läuft nur sichtbar das OTRVerwaltungs-Fenster. Übrigens funktionierte die 1.00b7 samt Patch bestens darauf :-|

    Vielleicht liegt es ja nur an einer Kleinigkeit ...

  9. #299
    Administrator
    Registriert seit
    Jan 2007
    Beiträge
    3.991
    Liebe OTR-Verwaltung3Plus Disktutanten und -innen,

    ich bitte um Entschuldigung, wenn ich diesen Thread für ein "anderes" Thema nutze (und das auch noch als MOD! ), aber ich hab da ein echtes Problem an der Backe, von dem ich glaube, dass ihr mit einer Antwort lösen könnt (und ich erreiche genau euch genau hier).

    Immer mehr Linuxer unter uns beklagen sich, dass sie aufgrund veralteter Bibliotheksanforderungen im Standard-Decoder nicht mehr decodieren können. Ich bin leider kein Programmierer und habe im entsprechenden Thread schon mein Pulver verschossen, ohne geholfen zu haben.
    Bei OTR gibt es zurzeit personelle Veränderungen, wie ihr sicherlich auch schon gemerkt habt, und just die Linux-Programmier-Abteilung ist derzeit echt schwer zu erreichen. Daher meine Frage an euch: hat jemand von euch Probleme mit dem Decodieren mit OTRVerwaltung3Plus? Ich selbst nutze sie unter akutellem OpenSuse problemlos, es sind wohl hauptsächlich Ubuntu-Menschen mit dem Problem.

    Für eine oder zwei Antworten, gerne auch in der SB, bin ich sehr dankbar, ich möchte den Thread nicht kapern. Wenn es mehr werden sollte, werde ich mir erlauben, die entsprechenden Posts auszulagern.


    Dankeschön! Und pflegt eure Pinguine gut.
    Gruß
    PeGu

  10. #300
    Member
    Registriert seit
    Dec 2009
    Ort
    Germany
    Beiträge
    154
    @PeGu:
    Mit otrv3p wird seit geraumer Zeit nur noch der easydecoder (cli!) ausgeliefert und ich habe bisher keine Bug-Reports erhalten. Ich kann erinnern, dass der Standard-Dekoder zumindest unter Manjaro "damals" SEGFAULTs erzeugt hat.
    Der Thread, auf den Du Dich beziehst, betrifft allein die "Nicht-Funktionalität" der QT-GUI-Variante des Easydecoders (NICHT den Standard-Decoder).

    https://www.otrforum.com/showthread....l=1#post419576 Sollte dies beantworten.
    Für weitere Fragen stehe ich gern zur Verfügung
    Installation und Updates otr-verwaltung3p: Schneiden von OTR-Dateien, inkl. Dekodieren und Verwalten
    Mein github Name ist gCurse. Ich bin der Maintainer der otr-verwaltung3p.

Seite 30 von 35 ErsteErste ... 202829303132 ... LetzteLetzte

Ähnliche Themen

  1. Warum fügt VDub beim Abspielen D-Frames hinzu?
    Von mchawk im Forum Virtualdub
    Antworten: 0
    Letzter Beitrag: 14.08.2015, 20:25
  2. Schneiden von HQ Aufnahmen unter Linux (OTRverwaltung)
    Von CDrewing im Forum HQ-& HDTV-Videos: Schnitt & Brennen
    Antworten: 4
    Letzter Beitrag: 19.12.2014, 16:20
  3. Werbe******/Layer - Blocker ... eine Unsitte von OTR-Usern
    Von gulliver im Forum Download via Mirror
    Antworten: 41
    Letzter Beitrag: 07.04.2007, 00:23
  4. Antworten: 8
    Letzter Beitrag: 06.02.2007, 19:43

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •